Name:           kamoso
Summary:        Application to take pictures and videos out of your webcam
Version:        2.0.2
Release:        %mkrel 4
License:        GPLv2
Url:            http://www.kde-apps.org/content/show.php/Kamoso?content=111750
Group:          Graphical desktop/KDE
BuildRequires:  pkgconfig(QtGStreamer-0.10)
BuildRequires:  pkgconfig(libkipi)
BuildRequires:  boost-devel
Requires:       qt-gstreamer
Requires:       kipi-plugins-youtube
Suggests:       kipi-plugins-facebook
Source:         http://fr2.rpmfind.net/linux/KDE/stable/%{name}/%{version}/src/%{name}-%{version}.tar.bz2
Patch1:         kamoso-2.0.2-add-include.patch
# patch from bko #307147 to fix build against libkipi 2.0.0 
Patch2:         kamoso-2.0.2-libkipi-2.0.0.patch

%description
Kamoso is an application to take pictures and videos out of your webcam.

%files -f %name.lang
%defattr(-,root,root)
%doc README TODO COPYING AUTHORS
%_kde_bindir/kamoso
%_kde_bindir/kamosoPluginTester
%_kde_applicationsdir/kamoso.desktop  
%_kde_servicetypes/kamosoplugin.desktop
%_kde_iconsdir/hicolor/*/apps/kamoso.png
%_kde_iconsdir/hicolor/scalable/apps/kamoso.svgz


%package -n kipi-plugins-youtube
Summary:    Youtube Kipi Plugin
Group:      System/Libraries
Conflicts:  %name < 2.0
Requires:   kipi-common

%description -n kipi-plugins-youtube
Upload videos directly to YouTube.

%files -n kipi-plugins-youtube
%defattr(-,root,root)
%_kde_libdir/kde4/kipiplugin_youtube.so
%_kde_services/kipiplugin_youtube.desktop
%_kde_iconsdir/hicolor/*/actions/kipiplugin_youtube.png
%_kde_iconsdir/hicolor/scalable/actions/kipiplugin_youtube.svgz
#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version
%apply_patches

# rename kipi-plugins-youtube icons that conflict with plasma-runner-youtube
# cf. upstream git commit
# https://projects.kde.org/projects/extragear/multimedia/kamoso/repository/revisions/b8b03322d58a920deac198c2360d65deddccd610
# fix from Fedora
pushd src/plugins/youtube
sed -i -e 's|^Icon=youtube|Icon=kipiplugin_youtube|' *.desktop
for icon in icons/*-action-youtube.* ; do
    new_name=$(echo ${icon} | sed -e's|-youtube|-kipiplugin_youtube|')
    mv ${icon} ${new_name}
done

%build
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

%find_lang %name


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.0.2-4.mga3
+ Revision: 355793
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 lmenut <lmenut> 2.0.2-3.mga3
+ Revision: 324343
- add patch to fix build against libkipi 2.0.0 (from bko #307147)

  + fwang <fwang>
    - rebuild for new kipi

* Wed Jul 18 2012 lmenut <lmenut> 2.0.2-2.mga3
+ Revision: 272106
- add upstream patch to fix build
- rename kipi-plugins-youtube icons to avoid conflicts with plasma-runner-youtube

  + mikala <mikala>
    - Add kipi-plugins as require on kipi-plugins-youtube
    - use pkgconfig() for BR

  + fwang <fwang>
    - new version 2.0.2

* Wed Jun 29 2011 fwang <fwang> 2.0-0.beta1.2.mga2
+ Revision: 116036
- rebuild for kde 4.7

* Fri Mar 04 2011 mikala <mikala> 2.0-0.beta1.1.mga1
+ Revision: 63795
- Remove BuildRoot
- Split out youtube kipiplugin
- Add a suggests for kipi-plugins-facebook
- imported package kamoso

